%define major	6
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.7.4
Release:	%mkrel 4
License:	GPLv3+
Group:		File tools
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tgz
URL: 		http://www.arg0.net/encfs
Requires:	fuse >= 2.6
Requires:	kmod(fuse)
Requires:	openssl >= 0.9.7
BuildRequires:	rlog-devel >= 1.3
BuildRequires:	fuse-devel >= 2.6
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRequires:	boost-devel >= 1.34

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-rpath --with-boost-serialization=boost_serialization-mt --with-boost-system=boost_system-mt --with-boost-libdir=%{_libdir}
%make SED=/usr/bin/sed

%install
%makeinstall_std
%find_lang %{name}

chrpath -d %{buildroot}%{_bindir}/{encfs,encfsctl}

# unneeded files
rm -f %{buildroot}%{_libdir}/libencfs.la
rm -f %{buildroot}%{_libdir}/libencfs.so

%files -f %{name}.lang
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/libencfs.so.%{major}*


%changelog

* Mon Nov 28 2011 fwang <fwang> 1.7.4-4.mga2
+ Revision: 173506
- rebuild for new boost

* Sat Jul 30 2011 fwang <fwang> 1.7.4-2.1.mga1
+ Revision: 130544
- rebuild for new boost

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.7.4-2.mga2
+ Revision: 127489
- imported package encfs

